Generate image
curl --request POST \
--url https://api.siray.ai/v1/images/generations/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"background": "auto",
"height": 1,
"model": "openai/gpt-image-2.5-sunburst-t2i",
"moderation": "auto",
"n": 1,
"output_format": "jpg",
"prompt": "example_value",
"quality": "low",
"size": "1024x768",
"width": 1
}
'import requests
url = "https://api.siray.ai/v1/images/generations/async"
payload = {
"background": "auto",
"height": 1,
"model": "openai/gpt-image-2.5-sunburst-t2i",
"moderation": "auto",
"n": 1,
"output_format": "jpg",
"prompt": "example_value",
"quality": "low",
"size": "1024x768",
"width": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
background: 'auto',
height: 1,
model: 'openai/gpt-image-2.5-sunburst-t2i',
moderation: 'auto',
n: 1,
output_format: 'jpg',
prompt: 'example_value',
quality: 'low',
size: '1024x768',
width: 1
})
};
fetch('https://api.siray.ai/v1/images/generations/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>",
"fail_code": "<string>"
}OpenAI
GPT Image 2.5 Sunburst t2i
POST
/
v1
/
images
/
generations
/
async
Generate image
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
Request format for image generation models
Model name to use for the request
Available options:
openai/gpt-image-2.5-sunburst-t2i Text prompt for generation
Output size. Choose a preset, or set to "custom" to specify an arbitrary size; the width and height fields only take effect when size is "custom".
Available options:
1024x768, 768x1024, 1024x1024, 1024x1536, 1536x1024, 2560x1440, 1440x2560, 3840x2160, 2160x3840, auto, custom Background of the generated image
Available options:
auto, opaque, transparent Height of the output. Only takes effect when size is "custom".
Content moderation strategy
Available options:
auto, low Number of outputs to generate
Required range:
1 <= x <= 10Output format for the 3D model
Available options:
jpg, png, webp Quality option
Available options:
low, medium, high, xhigh, max Width of the output. Only takes effect when size is "custom".
Response
200 - application/json
Successful response
Standard async task creation response
